//import Head from 'next/head'
import Header from './Header';
import Footer from './Footer';
import Head from 'next/head'
import NavBarMenu from './navbar/NavBar';
import styles from '../styles/Home.module.css'
//import { CheckLogin } from '../middleware/auth'
import * as React from "react";
import { ToastContainer } from 'react-toastify';
import 'react-toastify/dist/ReactToastify.css';
import style from '../assets/css/style.module.css'
import Breadcumb from "./Breadcumb";
import { useEffect, useState } from 'react'
//import { useRouter } from 'next/dist/client/router'

const Layout = ({children}) => {
    //var router = useRouter();
    const [isActive, setActive] = useState(false);
    const [onHideMenu, setHideMenu] = useState(false);
    React.useEffect(() => {
        // const userLogin = CheckLogin()
        // if (userLogin === false) {
        //     router.push('/login')
        // }
    }, []);

    const onClickButtonBottom = () => {
        setActive(!isActive)
    }

    /**
     * click icon menu
     */
    const onClickIconMenu = () => {
        setActive(false)
        setHideMenu(!onHideMenu)
    }
    return (
        <div className={styles.reactApp}>
            <ToastContainer/>
            <Head>
                <meta charset='UTF8' />
                <title>Cheetah-CMS</title>
                <meta name="description" content="Generated by create next app" />
                <link rel="icon" href="/favicon.ico" />
            </Head>
        
            {/* <header className={`${styles.header} ${isActive ? styles.headerAfterClick : ''} ${onHideMenu ? styles.headerAfterClickMenu : ''} `}>
                <Header onClickIconMenu={onClickIconMenu}></Header>
            </header> */}

            <div className="reactWrapper">
                <NavBarMenu props={{isActive: isActive, onHideMenu: onHideMenu}} onClickButtonBottom={onClickButtonBottom}/>
                <div className={`${styles.mainBody} ${isActive ? styles.mainBodyAfterClick : ''} ${onHideMenu ? styles.mainBodyAfterClickMenu : ''} `}>
                    <div className={styles.mainContent}>
                        <div>  
                            <Breadcumb />
                            <div className="pt-5 mx-3">
                                <div className={style.childLayout + ' m-2 p-2'}>{children}</div>
                            </div>
                        </div>
                    </div>
                    <Footer />
                </div>
            </div>
        </div>
    )
}
export default Layout